<%-- 
    Document   : reporteHorario_localTodo
    Created on : 16/12/2014, 10:19:17 AM
    Author     : sistem16user
--%>

<%@page import="pe.siso.horario.Beans.Curso"%>
<%@page import="pe.siso.horario.Beans.Docente"%>
<%@page import="pe.siso.horario.Services.BloqueServices"%>
<%@page import="pe.siso.horario.Beans.Bloque"%>
<%@page import="pe.siso.horario.Services.HorarioServices"%>
<%@page import="pe.siso.horario.Beans.Aula"%>
<%@page import="pe.siso.horario.Services.DocenteServices"%>
<%@page import="pe.siso.horario.Services.CursoServices"%>
<%@page import="java.util.ArrayList"%>
<%@page import="pe.siso.horario.Beans.Horario"%>
<%@page import="pe.siso.horario.Services.AulaServices"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%
        AulaServices servicio = new AulaServices();
        Horario horario= new Horario();
        String codSede = request.getParameter("codSede");
        String periodo = request.getParameter("periodo");
        ArrayList<Aula> lista = null;
        lista = servicio.reporteAulasHorarioPeriodo(codSede,periodo);
 //---------------------------------------------------------------------------
       String turno = request.getParameter("turno");
       
        CursoServices servicios3 = new CursoServices();
         
        DocenteServices servicioDoc = new DocenteServices();
        HorarioServices servicios2 = new HorarioServices();
        BloqueServices servicio1 = new BloqueServices();
        
        
        
        
        int cont=1;
        int blo=1;
        
        
%>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Reporte de todos los locales</title>
    </head>
    <body>
     <%
            response.setContentType("application/vnd.ms-excel; ");
            response.setHeader("Content-Disposition","attachment; filename=CursoDocentes.xls");
        
            
            String border="style='border:solid 0.5pt #000000;vertical-align:middle;'";
            
            String centrado="style='vertical-align:middle;' ";
            String borderColor="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#B5E0F5;'";
            String borderColorTitulo="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#006699; color:#FFFFFF;'";
            String estilo = "style='background-color:#B5E0F5; border:solid 0.5pt;'";
    
   
    %>    
     <table >      
            
    <%        
            
        for(int i=0; i< lista.size(); i++) {
     
        String nom = lista.get(i).getNombreLocal()+" :: "+lista.get(i).getNombreTipoCentro()+" :: " +lista.get(i).getNombreNivel()+" :: "+lista.get(i).getNombreTipoGrado()+" :: "+lista.get(i).getNombreGrado()+" :: "+lista.get(i).getNombreSeccion()+" :: "+lista.get(i).getNombreTurno()+"";
        
        int codAula=lista.get(i).getCodigoAula();
        String codA="" + codAula;
        
        
        Bloque bloque = new Bloque(); 
        bloque = servicios2.consultarCodigoGrupoTurno(codA,periodo);
        String codGruBlo = bloque.getCod_gru();
        
        ArrayList<Bloque> lista2 = null;
        
        lista2 = servicio1.consultarDetalleBloque(codGruBlo);
        
        
        
        if(!codGruBlo.equals("")){
               // String nombreTurno="";
            
            
            
            
            
            
      
    %>
    
    
            
            <tr>
                <td height='15' colspan='7'><h3> <font color='#005D8B'> <%=nom%></font></h3></td>    
            
            </tr>
            <tr> 
                <td width="80" <%=borderColorTitulo%>  align='center' >HORARIO</td>
                <td width="150" <%=borderColorTitulo%>  align='center' >LUNES</td>
                <td width="150" <%=borderColorTitulo%>  align='center' >MARTES</td>
                <td width="150" <%=borderColorTitulo%>  align='center' >MIÉRCOLES</td>
                <td width="150" <%=borderColorTitulo%>  align='center' >JUEVES</td>
                <td width="150" <%=borderColorTitulo%>  align='center' >VIERNES</td>
                <td width="150" <%=borderColorTitulo%>  align='center' >SÁBADO</td>
            </tr>  
      
    
     <%
        
            for(int j=0;j<lista2.size(); j++){
                 String ini = lista2.get(j).getHor_ini();
                 String fin = lista2.get(j).getHor_fin();
                if(cont%2==0){
            
        %>        
            <tr>
                <td <%=estilo%> align='center' ><%=ini%> a <%=fin%></td>
                <td <%=estilo%> height='20' colspan='6' align='center' >R E C E S O</td>
            </tr>
            
        
            
        <%
                }else {
        %>
        <tr>
                    <td <%=border%> height='69' align='center'><%=lista2.get(j).getHor_ini()%> a <%=lista2.get(j).getHor_fin()%></td>
                     
        <%
        
                      
        
        for(int dia=1;dia<=6;dia++){
                 String diaAct = ""+dia;   
                 String bloAct = ""+blo;      
        
                 int cant = servicios2.cantidadAsignado(codA, diaAct, bloAct,periodo);
                        //int cant = servicios2.cantidadAsignadoExportarTotal(diaAct, bloAct);
            if(cant>0){
                           
                            horario = servicios2.consultarDatosAsignados(codA, diaAct, bloAct,periodo);
                            
                            String codCur = horario.getCodidoCurso_HorarioCursoDoc();
                            String codDoc = horario.getCodigoDocente_HorarioCursoDoc();
                            Docente docente = new Docente();
                            docente = servicioDoc.NombreDocente(codDoc);
                            String NombreCompleto = docente.getApe_pro()+", "+docente.getNom_pro();
                            String Apellido=docente.getApe_pro();
                            String nombre=docente.getNom_pro();
                            Curso curso = new Curso();
          
                            curso = servicios3.NombreCurso(codCur);
                            String NombreCurso = curso.getNom_cur();
                            String NombrePlana = curso.getNom_pla();
                            String NombreArea = curso.getNom_are();
                            String color = curso.getColor_plana();
                            
        %>        
                
        <td <%=border%> width="150"  align='center'> <!--style='background-color:<%=color%>'--><font color='#040404'><b>Curso:</b><%=NombreCurso%></font><br><font color='#040404'><b>Docente:</b><%=NombreCompleto%></font></td> 
        <%
            }else{
        %>           
            <td  <%=border%> align='center' width="150"> <font color='red'> Sin curso </font>
            </td> 
        <%
            } 
        }
        
        %> 
        </tr> 
        
        <% 
          blo++;  
            }
             cont++;
           
        }
       cont=1;
       blo=1;
    }
        
    }
        %>    
     
        </table>     
    </body>
</html>
